//********************************
//**ScummVM Quick And Easy 1.4.0**
//**By Ben Gorman (Bgbennyboy)****
//**Http://quick.mixnmojo.com/****
//********************************

program ScummVMQandEProject;

uses
  Forms,
  ScummVMQandE in 'ScummVMQandE.pas' {Mainfrm},
  ReadMe in 'ReadMe.pas' {ReadMeFrm},
  ScummVMQandEsplash in 'ScummVMQandEsplash.pas' {SplashScreen},
  ExtraTools in 'ExtraTools.pas' {toolsfrm},
  Options in 'Options.pas' {Optionsfrm},
  windows,
  sysutils,
  jclregistry,
  jclsysinfo,
  Scheduler in 'Scheduler.pas' {tasksfrm},
  Editor in 'Editor.pas' {Editfrm};

{$R *.res}

function SetPassedParam: string;
var PassedParam : String;
begin
  PassedParam := UpperCase(ParamStr(1));
  Delete(PassedParam, 1, 1);                       //Remove any / or -
  Result:=PassedParam;
end;

begin
  if paramcount >0 then
  begin
    if SetPassedParam<>'U' then exit;
    //else its update mode
    Application.Initialize;
    Application.ShowMainForm := false;
    Application.Title := 'ScummVM Quick And Easy';
    Application.CreateForm(TMainfrm, Mainfrm);
  mainfrm.TrayIcon.PopupMenu:=mainfrm.popupmenu3;
    mainfrm.TrayIcon.Hint:='Downloading ScummVM Daily Build';
    Application.Run;
  end
  else
  begin
    SplashScreen:=TSplashScreen.Create(Application);

    try
      if regreadinteger(HKEY_CURRENT_USER,'Software\Quick And Easy\ScummVM','splashscreen')=1 then
      begin
        //splashscreen.Free;
      end
      else
      begin
        SplashScreen.Show;
        SplashScreen.Update;
        SplashScreen.Timer1.Interval:=2000;
        SplashScreen.Timer1.Enabled:=true;
      end;
        Except On EJclRegistryError do
      begin
        SplashScreen.Show;
        SplashScreen.Update;
        SplashScreen.Timer1.Interval:=2000;
        SplashScreen.Timer1.Enabled:=true;
      end;
  end;

    Application.Initialize;
    Application.Title := 'ScummVM Quick And Easy';
    Application.CreateForm(TMainfrm, Mainfrm);
    Application.CreateForm(TReadMeFrm, ReadMeFrm);
    if iswinNT=true then
      Application.CreateForm(Ttasksfrm, tasksfrm);

    Application.CreateForm(Ttoolsfrm, toolsfrm);
    //Application.CreateForm(TFiltersfrm, Filtersfrm);
    Application.CreateForm(TEditfrm, Editfrm);
    Application.CreateForm(TOptionsfrm, Optionsfrm);
    Application.Run;
    end;
end.
