//********************************
//**ScummVM Quick And Easy 1.4.0**
//**By Ben Gorman (Bgbennyboy)****
//**Http://quick.mixnmojo.com/****
//********************************

unit ScummVMQandEsplash;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, jpeg;

type
  TSplashScreen = class(TForm)
    imglogo: TImage;
    lblabout: TLabel;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SplashScreen: TSplashScreen;

implementation

uses ScummVMQandE;

{$R *.dfm}

//Timer Tick Actions
procedure TSplashScreen.Timer1Timer(Sender: TObject);
begin
  close;
  release;
  splashscreen.free;
end;

procedure TSplashScreen.FormCreate(Sender: TObject);
var
  Version: string;
begin
  Version:=inttostr(QEVersion)[1] + '.' + inttostr(QEVersion)[2] + '.' + inttostr(QEVersion) [3];
  lblabout.Caption:='Version ' + version + '             By Ben Gorman (Bgbennyboy)'
  //Version 1.3.6             By Ben Gorman (Bgbennyboy)
end;

end.
